<?xml version='1.0' encoding='iso-8859-1' standalone='no'?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

  <!-- Wir sprechen Deutsch - auch im generierten Text -->
  <xsl:variable name="l10n.gentext.default.language">de</xsl:variable>

  <!-- Sections werden numeriert -->
  <xsl:param name="section.autolabel"  select="1"/>

  <!-- Und vorne die Kapitelnummer dran -->
  <xsl:param name="section.label.includes.component.label" select="1"/>
    
  <xsl:param name="use.id.as.filename" select="'1'"/>

  <xsl:template match="firstname" mode="bibliomixed.mode">
    <span class="{name(.)}">
      <xsl:apply-templates mode="bibliomixed.mode"/>
      <xsl:text> </xsl:text>
    </span>
  </xsl:template>
  <xsl:template match="surname" mode="bibliomixed.mode">
    <span class="{name(.)}">
      <xsl:text> </xsl:text>
      <xsl:apply-templates mode="bibliomixed.mode"/>
    </span>
  </xsl:template>

<xsl:param name="formal.title.placement">
figure after
example after
equation after
table after
procedure after
</xsl:param>

<i18n xmlns="http://docbook.sourceforge.net/xmlns/l10n/1.0">
  <l10n language="de">
    <context name="">
       <template name="info" text="Info"/>
       <tamplate name="screen" text="Listing"/>
       <template name="sect" text="Abschnitt"/>
       <template name="stop" text="Stopp"/>
    </context>

    <context name="title">
      <template name="info" text="Info: %t"/>
      <template name="screen" text="Beispiel %n. %t"/>
      <template name="sect" text="%t"/>
      <template name="stop" text="Stop: %t"/>
    </context>

    <context name="title-numbered">
      <template name="sect" text="%n. %t"/>
    </context>

    <context name="xref">
      <template name="appendix" text="%n, %t, auf Seite %p"/>
      <template name="chapter" text="%n, %t, auf Seite %p"/>
      <template name="sect" text="%t"/>
      <template name="example" text="%n"/>
      <template name="figure" text="%n"/>
      <template name="screen" text="%n"/>
      <template name="table" text="%n"/>
    </context>

    <context name="section-xref">
      <template name="sect" text="&#8222;%t&#8220;"/>
    </context>

    <context name="section-xref-numbered">
      <template name="sect" text="%n"/>
    </context>
  </l10n>
</i18n>

</xsl:stylesheet>
