<?xml version="1.0" encoding="iso-8859-1"?>

<!-- $Id: db2dfbpoint.xsl,v 1.2 2002/07/11 16:23:42 jochen Exp $ -->

<!--
Copyright (C) 2002 Jochen Hein <jochen@jochen.org>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="xml"
    doctype-public="-//Jochen Hein//DFBPoint DRAFT//DE" 
    doctype-system="dfbpoint.dtd"
              encoding="iso-8859-1"
              indent="no"/>

  <!-- Warnmeldung fr Elemente, die nicht bearbeitet werden -->
  <xsl:template match="*">
    <xsl:message>
      <xsl:text>No template matches </xsl:text>
      <xsl:value-of select="name(.)"/>
      <xsl:text>.</xsl:text>
    </xsl:message>
  </xsl:template>

  <xsl:template match="/"><xsl:apply-templates/></xsl:template>

  <xsl:strip-space elements="
itemizedlist listitem
slides slideinfo foil title para
city pubdate publisher publishername"/>

  <xsl:template match="slides">
    <slides bgcolor="#222266" fgcolor="#9999FF"
	bullet="bullet.png"
        face="decker.ttf" size="42"
	x="40" y="40"
	screen_width="1024" screen_height="768">
      <xsl:apply-templates/>
    </slides>
  </xsl:template>

  <xsl:template match="slidesinfo">
    <slide>
      <xsl:apply-templates/>
    </slide> 
  </xsl:template>

<xsl:template match="foil">
  <slide>
    <xsl:apply-templates/>
  </slide>
</xsl:template>


<xsl:template match="foil/title">
  <header><xsl:apply-templates/></header>
</xsl:template>

<xsl:template match="slidesinfo/title">
  <header><xsl:apply-templates/></header>
</xsl:template>

<xsl:template match="subtitle">
  <text><xsl:apply-templates/></text>
</xsl:template>

<xsl:template match="para">
<text><xsl:apply-templates/></text>
</xsl:template>


<!-- XXX markup -->
<xsl:template match="ulink">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="email">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="command">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="emphasis">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="itemizedlist">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="listitem">
  <listitem><xsl:apply-templates/></listitem>
</xsl:template>

<xsl:template match="listitem/para">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="author">
  <text><xsl:apply-templates/></text>
</xsl:template>

<xsl:template match="authorblurb">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="firstname">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="surname">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="date">
  <text><xsl:apply-templates/></text>
</xsl:template>

<xsl:template match="copyright">
  <text><xsl:apply-templates/></text>
</xsl:template>

<xsl:template match="year">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="holder">
<xsl:apply-templates/>
</xsl:template>
  

</xsl:stylesheet>
