<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE stylesheet [
  <!-- ENTITY nbsp "&#160;" -->
  <!ENTITY nbsp "&#160;">
]>

<!-- $Id: db2mgp.xsl,v 1.2 2002/07/11 16:23:42 jochen Exp $ -->

<!--
Copyright (C) 2002 Jochen Hein <jochen@jochen.org>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:output method="text"
              encoding="iso-8859-1"
              indent="no"/>

  <!-- Warnmeldung fr Elemente, die nicht bearbeitet werden -->
  <xsl:template match="*">
    <xsl:message>
      <xsl:text>No template matches </xsl:text>
      <xsl:value-of select="name(.)"/>
      <xsl:text>.</xsl:text>
    </xsl:message>
  </xsl:template>

  <xsl:template match="/"><xsl:apply-templates/></xsl:template>

  <xsl:strip-space elements="
itemizedlist listitem
slides slidesinfo foil para
affiliation
city pubdate publisher publishername"/>

  <xsl:template match="slides">%include "default.mgp"
%default 1 bgrad
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="slidesinfo">%page
%prefix " "
%charset "iso8859-1"
%nodefault
%center, size 7, font "standard", fore "white", vgap 20
<xsl:apply-templates/></xsl:template>

<xsl:template match="foil">%page
%charset "iso8859-1"
<xsl:apply-templates/>
<text>&nbsp;
</text>
</xsl:template>


<xsl:template match="title">
<text>%fore "yellow", size 4

</text>  
<xsl:apply-templates/><text>&nbsp;

</text>
</xsl:template>

<!-- Slide </text>
  <number count="foil"/>
  <text> of </text>
  <apply-templates select="//foil" mode="ofN"/>
  <text>: </text>
</text -->

<xsl:template match="subtitle">
<text>%fore "yellow", size 5
</text>
<xsl:apply-templates/></xsl:template>

<xsl:template match="para">
<!-- Bereinigen des Nodes, fhrende/folgende Leerzeichen werden auch entfernt -->
<xsl:apply-templates/>
<xsl:text>
</xsl:text>
</xsl:template>


<!-- XXX markup -->
<xsl:template match="ulink">
    <xsl:variable name="ulink" select="."/>
    <xsl:variable name="url"   select="@url"/>

    <xsl:choose>
    <xsl:when test="$ulink != ''">
      <!-- xsl:message>Warning: ulink: <xsl:value-of select="$ulink"/>, url: <xsl:value-of select="$url"/></xsl:message -->
      <xsl:value-of select="$ulink"/>: <xsl:value-of select="@url"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="@url"/>
      </xsl:otherwise>
    </xsl:choose>
</xsl:template>

<xsl:template match="email">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="command">
<xsl:text>
%cont, font "typewriter"
</xsl:text>
<xsl:apply-templates/>
<xsl:text>
%cont, font "standard"
</xsl:text>
</xsl:template>

<xsl:template match="filename">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="systemitem">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="affiliation">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="mediaobject">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="imageobject">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="imagedata"><text>%image "</text><xsl:value-of select="@fileref"/><text>"
</text>
</xsl:template>

<xsl:template match="literallayout">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="option">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="emphasis">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="itemizedlist">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="listitem">%pause
	<xsl:apply-templates/></xsl:template>

<xsl:template match="author">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="authorblurb">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="firstname"><xsl:apply-templates/></xsl:template>

<xsl:template match="surname"><xsl:apply-templates/>
</xsl:template>

<xsl:template match="date">
  <text>&nbsp;
</text>
<xsl:apply-templates/>
<text>&nbsp;
</text>
</xsl:template>

<xsl:template match="copyright">
(C) <xsl:apply-templates/>
</xsl:template>

<xsl:template match="year">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="holder"> by <xsl:apply-templates/>
</xsl:template>
  

<xsl:template match="figure">
<xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
