<?xml version='1.0' encoding='iso-8859-1' standalone='no'?>

<!-- $Id: fo-style.xsl,v 1.13 2002/08/24 09:23:30 jochen Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                version='1.0'>

  <!-- Importieren der Standard-Stylesheets von Norm Walsh -->
  <xsl:import href="/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/fo/docbook.xsl"/>
  <!-- xsl:import href="/usr/src/docbook-xsl-1.48/fo/docbook.xsl"/ -->
  <!-- xsl:import href="/usr/src/docbook-xsl-1.48/fo/docbook.xsl"/ -->

  <!-- Meine Anpassungen, die fr Print- und HTML-Ausgabe gleich sind -->
  <xsl:import href="common.xsl"/>

  <!-- Papierformat ist A4 hier - zum Probelesen allemal -->
  <xsl:param name="paper.type" select="'A4'"/>

  <!-- Mehr Rand fr den Konferenzband -->
  <xsl:param name="page.margin.bottom">3cm</xsl:param>
  <xsl:param name="page.margin.top">3cm</xsl:param>
  <xsl:param name="page.margin.inner">2cm</xsl:param>
  <xsl:param name="page.margin.outer">2cm</xsl:param>

  <!-- Kein Header oder Footer im Konferenzband -->
  <xsl:template name="header.content"></xsl:template>
  <xsl:template name="footer.content"></xsl:template>
  <xsl:param name="header.rule">0</xsl:param>
  <xsl:param name="footer.rule">0</xsl:param>

  <!-- kein TableOfContents -->
  <xsl:param name="generate.toc">'article nop'</xsl:param>
  <xsl:template name="table.of.contents.titlepage"></xsl:template>    
  <xsl:template name="table.of.contents.titlepage.recto"></xsl:template>    
  <!-- Bei einem xref werden auch Seitennummern generiert? -->
  <xsl:param name="insert.xref.page.number">1</xsl:param>

  <!-- Fontgre - der Default ist mir zu klein -->
  <!-- xsl:param name="body.font.master">12</xsl:param>
  <xsl:param name="body.font.size">
    <xsl:value-of select="$body.font.master"/><xsl:text>pt</xsl:text>
  </xsl:param -->

  <!-- Use extentions for Tables in FOP -->
  <xsl:param name="use.extensions">1</xsl:param>
  <xsl:param name="saxon.extensions">1</xsl:param>
  <xsl:param name="tablecolumns.extension">1</xsl:param>
  <xsl:param name="default.table.width">6in</xsl:param>

  <!-- Double Sided ein -->
  <xsl:param name="double.sided">1</xsl:param>

  <!-- Index in zwei Spalten -->
  <xsl:param name="column.count.of.index">2</xsl:param>

  <xsl:param name="generate.component.toc">0</xsl:param>
  <xsl:param name="toc.section.depth">1</xsl:param>
  <xsl:param name="toc.indent.width">5</xsl:param>

<xsl:template match="primary">
  <xsl:apply-templates/>[Index]
</xsl:template>

<xsl:template match="see">
</xsl:template>

<!-- Processing Expectation: indexterm/primary wird gedruckt -->
<xsl:template match="indexterm">
  <fo:wrapper>    
    <xsl:attribute name="id">
      <xsl:call-template name="object.id"/>
    </xsl:attribute>
    <xsl:comment>
      <xsl:value-of select="primary"/>
      <xsl:if test="secondary">
        <xsl:text>, </xsl:text>
        <xsl:value-of select="secondary"/>
      </xsl:if>
      <xsl:if test="tertiary">
        <xsl:text>, </xsl:text>
        <xsl:value-of select="tertiary"/>
      </xsl:if>
    </xsl:comment>
  <!-- TODO: apply-templates -->
  <xsl:apply-templates/>
    <!-- xsl:value-of select="primary"/> [Index] -->
  </fo:wrapper>
</xsl:template>


</xsl:stylesheet>
