<?xml version='1.0' encoding='iso-8859-1' standalone='no'?>

<!-- $Id: html-style.xsl,v 1.10 2002/04/20 14:17:52 jochen Exp $ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

  <!-- Importieren der Standard-Stylesheets von Norm Walsh -->
  <xsl:import href="/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/html/chunk.xsl"/>
  
  <!-- Meine Anpassungen, die fr Print- und HTML-Ausgabe gleich sind -->
  <xsl:import href="common.xsl"/>
  
  <!-- Jedes Kapitel ist eine HTML-Seite, nicht jede Section -->
  <xsl:param name="chunk.section.depth"     select="0"/>

  <!-- Der Chunker soll leiser sein -->
  <xsl:param name="chunk.quietly">1</xsl:param>

  <xsl:param name="shade.verbatim"     select="1"/>

  <xsl:param name="paper.type" select="'A4'"/>

  <xsl:param name="graphic.default.extension">jpg</xsl:param>

  <xsl:param name="generate.component.toc">1</xsl:param>

  <xsl:template match="biblioentry/abstract/para">
    <p class="small">
      <style type="text/css">
        .small { margin-left:30px; margin-right:30px; }
      </style>
      <font size="-1">
        <xsl:apply-templates/>
      </font>
    </p>
  </xsl:template>

  <xsl:template match="abstract" mode="bibliography.mode">
    <xsl:apply-templates/>
  </xsl:template>

<xsl:template match="ulink">
  <a>
    <xsl:if test="@id">
      <xsl:attribute name="name">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:attribute name="href"><xsl:value-of select="@url"/></xsl:attribute>
    <xsl:if test="$ulink.target != ''">
      <xsl:attribute name="target">
        <xsl:value-of select="$ulink.target"/>
      </xsl:attribute>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="count(child::node())=0">
	<xsl:value-of select="@url"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:apply-templates/>
      </xsl:otherwise>
    </xsl:choose>
  </a>
</xsl:template>

<!-- Processing Expectation: indexterm/primary wird gedruckt -->
<xsl:template match="indexterm">
  <!-- this one must have a name, even if it doesn't have an ID -->
  <xsl:variable name="id">
    <xsl:call-template name="object.id"/>
  </xsl:variable>
  <xsl:apply-templates/>
  
  <a class="indexterm" name="{$id}"/>
</xsl:template>

<xsl:template match="primary">
  <xsl:apply-templates/>
</xsl:template>

<!-- Bearbeiten von Processing-Instructions -->
<xsl:template match="processing-instruction('linebreak')">
  <br/>
</xsl:template>

</xsl:stylesheet>

